<?php


namespace Eventman\Admin;


trait LogTrait
{

    protected function log($msg)
    {
        if (Options::getOptions()['enable_debug'] ?? false) {
            if (!is_string($msg)) {
                $msg = print_r($msg);
            }
            error_log($msg);
        }
    }

    protected function pretty($array = null)
    {
        return \json_encode($array, !defined('WP_DEBUG_LOG') ? JSON_PRETTY_PRINT : 0);
    }

}